ru.bitel.bgbilling.modules.sorm.server.bean

## Class NumberRange

- java.lang.Object
- - ru.bitel.bgbilling.modules.sorm.server.bean.NumberRange

-     public class NumberRange
      extends java.lang.Object

  Вспомогательный класс, представляющий собой диапазон номеров, составленный из ресурсов модуля phone.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumberRange()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComment()`
    `java.util.Date` | `getDateFrom()`
    `java.util.Date` | `getDateTo()`
    `java.lang.Long` | `getFromNumber()`
    `int` | `getMaxLength()`
    `int` | `getMinLength()`
    `long` | `getNumberCount()`
    `java.lang.Long` | `getToNumber()`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setDateFrom(java.util.Date dateFrom)`
    `void` | `setDateTo(java.util.Date dateTo)`
    `void` | `setFromNumber(java.lang.Long fromNumber)`
    `void` | `setToNumber(long toNumber)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NumberRange

          public NumberRange()

  - ### Method Detail

    - #### setFromNumber

          public void setFromNumber(java.lang.Long fromNumber)

    - #### setToNumber

          public void setToNumber(long toNumber)

    - #### getFromNumber

          public java.lang.Long getFromNumber()

    - #### getToNumber

          public java.lang.Long getToNumber()

    - #### getNumberCount

          public long getNumberCount()

    - #### getDateFrom

          public java.util.Date getDateFrom()

    - #### setDateFrom

          public void setDateFrom(java.util.Date dateFrom)

    - #### getDateTo

          public java.util.Date getDateTo()

    - #### setDateTo

          public void setDateTo(java.util.Date dateTo)

    - #### getMaxLength

          public int getMaxLength()

    - #### getMinLength

          public int getMinLength()

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`